Bug 8629 - samba_dnsupdate currently registers PDC-Emulator SRV-Records for all DCs
samba_dnsupdate currently registers PDC-Emulator SRV-Records for all DCs
Status: RESOLVED FIXED
Product: Samba 4.0
Classification: Unclassified
Component: Other
unspecified
All All
: P5 normal
: ---
Assigned To: Andrew Bartlett
samba4-qa@samba.org
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2011-11-22 18:53 UTC by Arvid Requate
Modified: 2011-12-07 17:37 UTC (History)
1 user (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Arvid Requate 2011-11-22 18:53:54 UTC
samba_dnsupdate currently registers PDC-Emulator SRV-Records for all DCs (alpha17~git201110100928). Removing the following two lines from source4/setup/dns_update_list and creating a single PDC-Emulator SRV-Record manually for one DC solved this issue for us.

SRV _ldap._tcp.pdc._msdcs.${DNSDOMAIN}                   ${HOSTNAME} 389
SRV _ldap._tcp.pdc._msdcs.${DNSFOREST}                   ${HOSTNAME} 389
Comment 1 Matthias Dieter Wallnöfer 2011-11-22 19:08:23 UTC
Kai, how could we handle this?
Comment 2 Kai Blin 2011-11-23 13:08:43 UTC
Not sure what the correct behaviour here is. What does windows do? It's not really my area of expertise.
Comment 4 Kai Blin 2011-12-06 22:36:31 UTC
Assigning to Andrew per his request.
Comment 5 Matthias Dieter Wallnöfer 2011-12-07 17:37:21 UTC
This should have been fixed.